From b87d86ead696c14d7bf18443f2e9feb3df07e872 Mon Sep 17 00:00:00 2001
From: Rob Browning <rlb@defaultvalue.org>
Date: Tue, 20 Feb 2018 23:58:09 -0600
Subject: Mark test-out-of-memory as an expected failure for now

Since this test has been failing for a long time on various
architectures, mark it as expected to fail for now so that we'll still
run it and can see the results, but won't be blocked by it.

There are known issues with the test upstream, and at least in some past
cases it's been possible to reproduce the failure quickly by running
test-suite/standalone/test-out-of-memory in a loop.

Bug: https://debbugs.gnu.org/29464
Bug-Debian: https://bugs.debian.org/880148
Bug-Debian: https://bugs.debian.org/966300
---
 test-suite/standalone/Makefile.am | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/test-suite/standalone/Makefile.am b/test-suite/standalone/Makefile.am
index 5c3b5569e..2ec9e2822 100644
--- a/test-suite/standalone/Makefile.am
+++ b/test-suite/standalone/Makefile.am
@@ -23,6 +23,7 @@ include $(top_srcdir)/am/snarf
 
 # initializations so we can use += below.
 TESTS =
+XFAIL_TESTS =
 noinst_LTLIBRARIES =
 check_PROGRAMS = 
 check_SCRIPTS =
@@ -308,7 +309,7 @@ check_SCRIPTS += test-stack-overflow
 TESTS += test-stack-overflow
 
 check_SCRIPTS += test-out-of-memory
-TESTS += test-out-of-memory
+XFAIL_TESTS += test-out-of-memory
 
 check_SCRIPTS += test-close-on-exec
 TESTS += test-close-on-exec
